org.apache.felix.ipojo.manipulator.metadata.annotation.visitor

## Class ProvidesVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.ProvidesVisitor

    public class ProvidesVisitor
    extends org.objectweb.asm.AnnotationVisitor

Parse the @Provides annotation.

Author:
  Felix Project Team
See Also:
  `Provides`

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`ProvidesVisitor(ComponentWorkbench workbench)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visit(String name, Object value)` Visit @provides annotation attributes.
`org.objectweb.asm.AnnotationVisitor` `visitArray(String name)` Visit specifications array.
`void` `visitEnd()` End of the visit.

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProvidesVisitor

    public ProvidesVisitor(ComponentWorkbench workbench)

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Visit @provides annotation attributes.

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - : annotation attribute name
  `value` - : annotation attribute value
See Also:
  `AnnotationVisitor.visit(java.lang.String, java.lang.Object)`

#### visitArray

    public org.objectweb.asm.AnnotationVisitor visitArray(String name)

Visit specifications array.

Overrides:
  `visitArray` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - : attribute name
Returns:
  a visitor visiting each element of the array.
See Also:
  `AnnotationVisitor.visitArray(java.lang.String)`

#### visitEnd

    public void visitEnd()

End of the visit. Append to the element element the computed "provides" element.

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`
See Also:
  `AnnotationVisitor.visitEnd()`